import request from '@/utils/request'

// 查询目录列表
export function listArchives(query) {
  return request({
    url: '/system/archives/list',
    method: 'get',
    params: query
  })
}

export function getListright(query) {
  return request({
    url: '/system/archives/list',
    method: 'get',
    params: query
  })
}
// 查询【请填写功能名称】详细
export function getArchives(id) {
  return request({
    url: '/system/archives/id/' + id,
    method: 'get'
  })
}
// 新增【请填写功能名称】
export function addArchives(data) {
  return request({
    url: '/system/archives',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateArchives(data) {
  return request({
    url: '/system/archives',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delArchives(id) {
  return request({
    url: '/system/archives/' + id,
    method: 'delete'
  })
}

// 导出【请填写功能名称】
export function exportArchives(query) {
  return request({
    url: '/system/archives/export',
    method: 'get',
    params: query
  })
}
